Closed Bug 1784202 (clang-15) Opened 4 months ago Closed 1 month ago

Update builders to clang 15

Categories

(Firefox Build System :: Toolchains, task)

task

Tracking

(firefox108 fixed)

RESOLVED FIXED
108 Branch
Tracking Status
firefox108 --- fixed

People

(Reporter: glandium, Assigned: glandium)

References

(Depends on 1 open bug)

Details

(Keywords: perf-alert)

Crash Data

Attachments

(2 files)

It's expected to be released at the beginning of September.

Depends on: 1781968
Depends on: 1769153
Depends on: 1783799
Depends on: 1786975
Depends on: 1787085
Assignee: nobody → mh+mozilla
See Also: → 1787220

Currently, when building clang for mac, which we cross-compile, we're
always passing a x86-64 target, even on arm64. This cancels out with the
LLVM build system adding -arch arm64, so it worked fine... until clang
15, where some things end up being built without -arch arm64 and
things end up broken.

Depends on: 1788854
Depends on: 1788870
Keywords: leave-open
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/a6a675935e52
Properly set target flags for clang mac builds. r=firefox-build-system-reviewers,andi
Depends on: 1768572
Depends on: 1789346
Depends on: 1789370
Depends on: 1789779
No longer depends on: 1789370
Depends on: 1789954
Attachment #9291457 - Attachment description: Bug 1784202 - Update builders to clang 15 (wip) → Bug 1784202 - Update builders to clang 15.
Depends on: 1790954
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/90cbd3e4faac
Update builders to clang 15. r=firefox-build-system-reviewers,andi
Depends on: 1791518
Flags: needinfo?(mh+mozilla)
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/9d40b66a9202
Update builders to clang 15. r=firefox-build-system-reviewers,andi
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/1efa06d7902a
Update builders to clang 15. r=firefox-build-system-reviewers,andi

Backed out changeset 1efa06d7902a (Bug 1784202) for causing mochitest failures.
Backout link
Push with failures <--> mda3
Failure Log
Also X4 Failure Log

Backout by mlaza@mozilla.com:
https://hg.mozilla.org/mozilla-central/rev/9cd6d487eef1
Backed out changeset 1efa06d7902a for causing mochitest failures. CLOSED TREE

(In reply to Marian-Vasile Laza from comment #11)

Backed out changeset 1efa06d7902a (Bug 1784202) for causing mochitest failures.
Backout link
Push with failures <--> mda3
Failure Log
Also X4 Failure Log

== Change summary for alert #35535 (as of Tue, 27 Sep 2022 09:09:42 GMT) ==

Regressions:

Ratio Test Platform Options Absolute values (old vs new)
39% compiler_metrics num_static_constructors osx-cross 112.00 -> 156.00
30% compiler_metrics num_static_constructors android-5-0-x86_64 112.00 -> 146.00
21% compiler_metrics num_static_constructors linux64 168.00 -> 203.00
15% compiler_metrics num_static_constructors linux64 176.75 -> 203.00
0.48% installer size osx-shippable instrumented 120,997,952.75 -> 121,579,514.83
0.14% installer size osx-cross 82,173,055.04 -> 82,288,348.83

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=35535

Regressions: 1792580
Blocks: rustc-1.65

== Change summary for alert #35548 (as of Thu, 29 Sep 2022 04:51:33 GMT) ==

Regressions:

Ratio Test Platform Options Absolute values (old vs new)
35% perf_reftest_singletons bloom-basic-2.html windows10-64-shippable-qr e10s fission stylo webrender 45.62 -> 61.45
31% perf_reftest_singletons bloom-basic.html windows10-64-shippable-qr e10s fission stylo webrender 46.53 -> 61.13
19% perf_reftest_singletons style-attr-1.html windows10-64-shippable-qr e10s fission stylo webrender 2.89 -> 3.46
17% perf_reftest_singletons tiny-traversal-singleton.html windows10-64-shippable-qr e10s fission stylo webrender 617.01 -> 724.44
14% perf_reftest_singletons attr-selector-1.html windows10-64-shippable-qr e10s fission stylo webrender 196.44 -> 224.54
14% perf_reftest_singletons coalesce-2.html windows10-64-shippable-qr e10s fission stylo webrender 128.80 -> 146.44
13% perf_reftest_singletons style-sharing.html windows10-64-shippable-qr e10s fission stylo webrender 4.69 -> 5.31
12% perf_reftest_singletons style-sharing-style-attr.html windows10-64-shippable-qr e10s fission stylo webrender 4.79 -> 5.38
10% perf_reftest_singletons coalesce-1.html windows10-64-shippable-qr e10s fission stylo webrender 176.37 -> 194.06
9% perf_reftest_singletons link-style-cache-1.html windows10-64-shippable-qr e10s fission stylo webrender 486.66 -> 532.30
7% perf_reftest_singletons nth-index-2.html windows10-64-shippable-qr e10s fission stylo webrender 3.06 -> 3.28
6% perf_reftest_singletons abspos-reflow-1.html windows10-64-shippable-qr e10s fission stylo webrender 56.34 -> 59.57
5% perf_reftest_singletons scrollbar-styles-1.html windows10-64-shippable-qr e10s fission stylo webrender 474.36 -> 498.47

Improvements:

Ratio Test Platform Options Absolute values (old vs new)
18% perf_reftest_singletons id-getter-7.html windows10-64-shippable-qr e10s fission stylo webrender 411.24 -> 336.15
18% perf_reftest_singletons id-getter-3.html windows10-64-shippable-qr e10s fission stylo webrender 410.27 -> 336.42
18% perf_reftest_singletons id-getter-6.html windows10-64-shippable-qr e10s fission stylo webrender 409.97 -> 336.26
18% perf_reftest_singletons id-getter-1.html windows10-64-shippable-qr e10s fission stylo webrender 423.58 -> 347.49
18% perf_reftest_singletons id-getter-4.html windows10-64-shippable-qr e10s fission stylo webrender 410.00 -> 336.56
18% perf_reftest_singletons id-getter-5.html windows10-64-shippable-qr e10s fission stylo webrender 410.07 -> 336.94

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=35548

(In reply to Marian-Vasile Laza from comment #11)

Backed out changeset 1efa06d7902a (Bug 1784202) for causing mochitest failures.
Backout link
Push with failures <--> mda3
Failure Log
Also X4 Failure Log

== Change summary for alert #35544 (as of Thu, 29 Sep 2022 04:51:27 GMT) ==

Improvements:

Ratio Test Platform Options Absolute values (old vs new)
28% perf_reftest_singletons bloom-basic-2.html windows10-64-shippable-qr e10s fission stylo webrender 61.45 -> 44.47
27% perf_reftest_singletons bloom-basic.html windows10-64-shippable-qr e10s fission stylo webrender 61.22 -> 44.76
17% perf_reftest_singletons tiny-traversal-singleton.html windows10-64-shippable-qr e10s fission stylo webrender 724.61 -> 601.38
13% perf_reftest_singletons style-sharing.html windows10-64-shippable-qr e10s fission stylo webrender 5.31 -> 4.60
13% perf_reftest_singletons attr-selector-1.html windows10-64-shippable-qr e10s fission stylo webrender 224.60 -> 195.12
... ... ... ... ...
6% perf_reftest_singletons abspos-reflow-1.html windows10-64-shippable-qr e10s fission stylo webrender 59.81 -> 56.33

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=35544

Keywords: perf-alert
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/59151d6a9b0b
Update builders to clang 15. r=firefox-build-system-reviewers,andi
Status: NEW → RESOLVED
Closed: 1 month ago
Flags: needinfo?(mh+mozilla)
Keywords: leave-open
Resolution: --- → FIXED

Backed out for causing crashes in @strlen + 0x30

Backout link: https://hg.mozilla.org/integration/autoland/rev/83900a4fbabbe11197ba1dbdd90e8e468b0707b0

Push with failures

Failure log

ERROR - TEST-UNEXPECTED-FAIL | devtools/shared/webconsole/test/chrome/test_page_errors.html | application terminated with exit code 1
[task 2022-10-26T05:36:54.241Z] 05:36:54     INFO - runtests.py | Application ran for: 0:00:09.971235
[task 2022-10-26T05:36:54.242Z] 05:36:54     INFO - zombiecheck | Reading PID log: C:\Users\task_166676052994451\AppData\Local\Temp\tmpx0lf2r95pidlog
[task 2022-10-26T05:36:54.242Z] 05:36:54     INFO - mozcrash Downloading symbols from: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/KFqmq_ntTYmBSzNqy40TMg/artifacts/public/build/target.crashreporter-symbols.zip
[task 2022-10-26T05:37:09.914Z] 05:37:09     INFO - mozcrash Copy/paste: Z:/task_166676052994451/fetches\minidump-stackwalk\minidump-stackwalk.exe --symbols-url=https://symbols.mozilla.org/ --human C:\Users\task_166676052994451\AppData\Local\Temp\tmpavnypy58.mozrunner\minidumps\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp C:\Users\task_166676052994451\AppData\Local\Temp\tmpq8p6vyf1
[task 2022-10-26T05:37:17.731Z] 05:37:17     INFO - mozcrash Saved minidump as Z:\task_166676052994451\build\blobber_upload_dir\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp
[task 2022-10-26T05:37:17.735Z] 05:37:17     INFO - mozcrash Saved app info as Z:\task_166676052994451\build\blobber_upload_dir\c760e737-a3ce-4174-987d-df98ca2da6a2.extra
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - PROCESS-CRASH | devtools/shared/webconsole/test/chrome/test_page_errors.html | application crashed [@ strlen + 0x30]
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - Crash dump filename: C:\Users\task_166676052994451\AppData\Local\Temp\tmpavnypy58.mozrunner\minidumps\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - Operating system: Windows NT
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO -                   10.0.19041
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - CPU: x86
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      GenuineIntel family 6 model 106 stepping 6
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      8 CPUs
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - 
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Crash address: 0x0
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Process uptime: 10 seconds
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - 
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Thread 0 MainThread (crashed)
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -  0  ucrtbase.dll!strlen + 0x30
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      eip = 0x75eace60    esp = 0x009dcac8    ebp = 0x009dcaf8    ebx = 0x009dccd0
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      esi = 0x00000001    edi = 0x009dcb20    eax = 0x00000000    ecx = 0x00000000
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      edx = 0x64e3ff6e eflags = 0x00010246
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -     Found by: given as instruction pointer in context
Status: RESOLVED → REOPENED
Flags: needinfo?(mh+mozilla)
Resolution: FIXED → ---

These crashes have also been observed by some users, e.g. bp-0deac7b0-dbc6-4170-b034-f3cc80221027

Crash Signature: [@ strlen | AutoMessageArgs::init<T>]
Regressions: 1797959

(In reply to Sandor Molnar from comment #18)

Backed out for causing crashes in @strlen + 0x30

Backout link: https://hg.mozilla.org/integration/autoland/rev/83900a4fbabbe11197ba1dbdd90e8e468b0707b0

Push with failures

Failure log

ERROR - TEST-UNEXPECTED-FAIL | devtools/shared/webconsole/test/chrome/test_page_errors.html | application terminated with exit code 1
[task 2022-10-26T05:36:54.241Z] 05:36:54     INFO - runtests.py | Application ran for: 0:00:09.971235
[task 2022-10-26T05:36:54.242Z] 05:36:54     INFO - zombiecheck | Reading PID log: C:\Users\task_166676052994451\AppData\Local\Temp\tmpx0lf2r95pidlog
[task 2022-10-26T05:36:54.242Z] 05:36:54     INFO - mozcrash Downloading symbols from: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/KFqmq_ntTYmBSzNqy40TMg/artifacts/public/build/target.crashreporter-symbols.zip
[task 2022-10-26T05:37:09.914Z] 05:37:09     INFO - mozcrash Copy/paste: Z:/task_166676052994451/fetches\minidump-stackwalk\minidump-stackwalk.exe --symbols-url=https://symbols.mozilla.org/ --human C:\Users\task_166676052994451\AppData\Local\Temp\tmpavnypy58.mozrunner\minidumps\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp C:\Users\task_166676052994451\AppData\Local\Temp\tmpq8p6vyf1
[task 2022-10-26T05:37:17.731Z] 05:37:17     INFO - mozcrash Saved minidump as Z:\task_166676052994451\build\blobber_upload_dir\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp
[task 2022-10-26T05:37:17.735Z] 05:37:17     INFO - mozcrash Saved app info as Z:\task_166676052994451\build\blobber_upload_dir\c760e737-a3ce-4174-987d-df98ca2da6a2.extra
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - PROCESS-CRASH | devtools/shared/webconsole/test/chrome/test_page_errors.html | application crashed [@ strlen + 0x30]
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - Crash dump filename: C:\Users\task_166676052994451\AppData\Local\Temp\tmpavnypy58.mozrunner\minidumps\c760e737-a3ce-4174-987d-df98ca2da6a2.dmp
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO - Operating system: Windows NT
[task 2022-10-26T05:37:18.325Z] 05:37:18     INFO -                   10.0.19041
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - CPU: x86
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      GenuineIntel family 6 model 106 stepping 6
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      8 CPUs
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - 
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Crash address: 0x0
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Process uptime: 10 seconds
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - 
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO - Thread 0 MainThread (crashed)
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -  0  ucrtbase.dll!strlen + 0x30
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      eip = 0x75eace60    esp = 0x009dcac8    ebp = 0x009dcaf8    ebx = 0x009dccd0
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      esi = 0x00000001    edi = 0x009dcb20    eax = 0x00000000    ecx = 0x00000000
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -      edx = 0x64e3ff6e eflags = 0x00010246
[task 2022-10-26T05:37:18.329Z] 05:37:18     INFO -     Found by: given as instruction pointer in context

== Change summary for alert #35806 (as of Wed, 26 Oct 2022 21:36:55 GMT) ==

Regressions:

Ratio Test Platform Options Absolute values (old vs new)
39% compiler_metrics num_static_constructors osx-cross 114.00 -> 159.00
38% compiler_metrics num_static_constructors osx-cross fuzzing 118.00 -> 163.00
32% compiler_metrics num_static_constructors android-5-0-armv7 112.00 -> 148.00
32% compiler_metrics num_static_constructors android-4-1-x86 114.00 -> 150.00
32% compiler_metrics num_static_constructors android-5-0-aarch64 114.00 -> 150.00
32% compiler_metrics num_static_constructors android-5-0-x86_64 114.00 -> 150.00
32% compiler_metrics num_static_constructors android-5-0-x86_64 isolated-process 114.00 -> 150.00
23% compiler_metrics num_static_constructors windows-mingw32 32 clang debug 166.00 -> 204.00
23% compiler_metrics num_static_constructors windows-mingw32 64 clang debug 167.00 -> 205.00
22% compiler_metrics num_static_constructors linux64 172.00 -> 209.00
1% installer size osx-shippable instrumented 121,752,809.25 -> 122,381,914.58
0.22% installer size osx-cross 82,854,747.00 -> 83,034,928.00

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=35806

Flags: needinfo?(mh+mozilla)
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/7b61ac41f225
Update builders to clang 15. r=firefox-build-system-reviewers,andi
Status: REOPENED → RESOLVED
Closed: 1 month ago1 month ago
Resolution: --- → FIXED
Target Milestone: --- → 108 Branch
Regressions: 1798829
Regressions: 1798613
Regressions: 1799013
Blocks: 1799041
Blocks: 1799062

== Change summary for alert #35947 (as of Thu, 03 Nov 2022 14:49:44 GMT) ==

Improvements:

Ratio Test Platform Options Absolute values (old vs new)
20% perf_reftest_singletons id-getter-1.html windows10-64-shippable-qr e10s fission stylo webrender 416.49 -> 331.97
20% perf_reftest_singletons id-getter-3.html windows10-64-shippable-qr e10s fission stylo webrender 410.36 -> 328.00
20% perf_reftest_singletons id-getter-4.html windows10-64-shippable-qr e10s fission stylo webrender 409.62 -> 328.37
20% perf_reftest_singletons id-getter-7.html windows10-64-shippable-qr e10s fission stylo webrender 405.35 -> 325.06
20% perf_reftest_singletons id-getter-6.html windows10-64-shippable-qr e10s fission stylo webrender 404.94 -> 325.26
... ... ... ... ...
9% perf_reftest_singletons window-named-property-get.html macosx1015-64-shippable-qr e10s fission stylo webrender 659.96 -> 599.24

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=35947

Regressions: 1799461
No longer regressions: 1799690
No longer depends on: 1789346
You need to log in before you can comment on or make changes to this bug.